!macro CustomCodePreInstall
	${If} ${FileExists} "$INSTDIR\App\AppInfo\appinfo.ini"
		ReadINIStr $0 "$INSTDIR\App\AppInfo\appinfo.ini" "Version" "PackageVersion"
		${VersionCompare} $0 "0.92.3.0" $R0
		${If} $R0 == "2"
			${If} ${FileExists} "$INSTDIR\Data\*.*"
				CopyFiles "$INSTDIR\App\DefaultData\01-portableapps.conf" "$INSTDIR\Data"
			${EndIf}
		${EndIf}
	${EndIf}
!macroend

!macro CustomCodePostInstall
	${IfNot} ${FileExists} "$INSTDIR\Data\settings\preferences.xml"
		${GetParent} $INSTDIR $1
		${If} ${FileExists} "$1\InkscapePortable\Data\settings\preferences.xml"
			CopyFiles /SILENT "$1\InkscapePortable\Data\*.*" "$INSTDIR\Data"
			${If} ${FileExists} "$INSTDIR\Data\settings\InkscapePortableSettings.ini"
				Rename "$INSTDIR\Data\settings\InkscapePortableSettings.ini" "$INSTDIR\Data\settings\InkscapePortableLegacy32bitSettings.ini"
				ReadINIStr $0 "$INSTDIR\Data\settings\InkscapePortableLegacy32bitSettings.ini" "InkscapePortableSettings" "LastDrive"
				WriteINIStr "$INSTDIR\Data\settings\InkscapePortableLegacy32bitSettings.ini" "InkscapePortableLegacy32bitSettings" "LastDrive" "$0"
				ReadINIStr $0 "$INSTDIR\Data\settings\InkscapePortableLegacy32bitSettings.ini" "InkscapePortableSettings" "LastDirectory"
				WriteINIStr "$INSTDIR\Data\settings\InkscapePortableLegacy32bitSettings.ini" "InkscapePortableLegacy32bitSettings" "LastDirectory" "$0"
				DeleteINISec "$INSTDIR\Data\settings\InkscapePortableLegacy32bitSettings.ini" "InkscapePortableSettings"
			${EndIf}
		${EndIf}
	${EndIf}
!macroend